/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-29
 * 描述            ：工器具-轧辊修磨实绩-鉴定处置记录
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevRollerGrindingCdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_ROLLER_GRINDING_CD", namespace=DevRollerGrindingCdMapper.class)
public class DevRollerGrindingCd extends BaseVO implements Serializable {
	/** 
	 * 修磨记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 鉴定处置序号（次数，1 - N）
	 */ 
	@Id
	private Long cd_sqc;
	public Long getCd_sqc() {
		return this.cd_sqc;
	}
	public void setCd_sqc(Long cd_sqc) {
		this.cd_sqc = cd_sqc;
	}

	/** 
	 * 修磨后辊径（mm）
	 */ 
	@Column
	private Double aft_roller_dia;
	public Double getAft_roller_dia() {
		return this.aft_roller_dia;
	}
	public void setAft_roller_dia(Double aft_roller_dia) {
		this.aft_roller_dia = aft_roller_dia;
	}

	/** 
	 * 修磨后辊重（kg）
	 */ 
	@Column
	private Double aft_roller_wgt;
	public Double getAft_roller_wgt() {
		return this.aft_roller_wgt;
	}
	public void setAft_roller_wgt(Double aft_roller_wgt) {
		this.aft_roller_wgt = aft_roller_wgt;
	}

	/** 
	 * 修磨后密度
	 */ 
	@Column
	private Double aft_density;
	public Double getAft_density() {
		return this.aft_density;
	}
	public void setAft_density(Double aft_density) {
		this.aft_density = aft_density;
	}

	/** 
	 * 修磨后粗糙度（Ra）
	 */ 
	@Column
	private Double aft_roughness;
	public Double getAft_roughness() {
		return this.aft_roughness;
	}
	public void setAft_roughness(Double aft_roughness) {
		this.aft_roughness = aft_roughness;
	}

	/** 
	 * 修磨后硬度（HS）
	 */ 
	@Column
	private Double aft_hardness;
	public Double getAft_hardness() {
		return this.aft_hardness;
	}
	public void setAft_hardness(Double aft_hardness) {
		this.aft_hardness = aft_hardness;
	}

	/** 
	 * 修磨后曲线误差
	 */ 
	@Column
	private Double aft_roll_profile;
	public Double getAft_roll_profile() {
		return this.aft_roll_profile;
	}
	public void setAft_roll_profile(Double aft_roll_profile) {
		this.aft_roll_profile = aft_roll_profile;
	}

	/** 
	 * 修磨后圆度
	 */ 
	@Column
	private Double aft_roundness;
	public Double getAft_roundness() {
		return this.aft_roundness;
	}
	public void setAft_roundness(Double aft_roundness) {
		this.aft_roundness = aft_roundness;
	}

	/** 
	 * 修磨后同轴度
	 */ 
	@Column
	private Double aft_runout;
	public Double getAft_runout() {
		return this.aft_runout;
	}
	public void setAft_runout(Double aft_runout) {
		this.aft_runout = aft_runout;
	}

	/** 
	 * 修磨后凸度（mm）
	 */ 
	@Column
	private Double aft_convexity;
	public Double getAft_convexity() {
		return this.aft_convexity;
	}
	public void setAft_convexity(Double aft_convexity) {
		this.aft_convexity = aft_convexity;
	}

	/** 
	 * 修磨后最大凸度（mm）
	 */ 
	@Column
	private Double aft_convexity_max;
	public Double getAft_convexity_max() {
		return this.aft_convexity_max;
	}
	public void setAft_convexity_max(Double aft_convexity_max) {
		this.aft_convexity_max = aft_convexity_max;
	}

	/** 
	 * 修磨后最小凸度（mm）
	 */ 
	@Column
	private Double aft_convexity_min;
	public Double getAft_convexity_min() {
		return this.aft_convexity_min;
	}
	public void setAft_convexity_min(Double aft_convexity_min) {
		this.aft_convexity_min = aft_convexity_min;
	}

	/** 
	 * 修磨后辊锥长度（mm）
	 */ 
	@Column
	private Double aft_cone_len;
	public Double getAft_cone_len() {
		return this.aft_cone_len;
	}
	public void setAft_cone_len(Double aft_cone_len) {
		this.aft_cone_len = aft_cone_len;
	}

	/** 
	 * 修磨后辊锥高度（mm）
	 */ 
	@Column
	private Double aft_cone_hgt;
	public Double getAft_cone_hgt() {
		return this.aft_cone_hgt;
	}
	public void setAft_cone_hgt(Double aft_cone_hgt) {
		this.aft_cone_hgt = aft_cone_hgt;
	}

	/** 
	 * 修磨后支承辊倒角长度
	 */ 
	@Column
	private Double aft_brollc_length;
	public Double getAft_brollc_length() {
		return this.aft_brollc_length;
	}
	public void setAft_brollc_length(Double aft_brollc_length) {
		this.aft_brollc_length = aft_brollc_length;
	}

	/** 
	 * 修磨后支承辊倒角深度
	 */ 
	@Column
	private Double aft_brollc_deepth;
	public Double getAft_brollc_deepth() {
		return this.aft_brollc_deepth;
	}
	public void setAft_brollc_deepth(Double aft_brollc_deepth) {
		this.aft_brollc_deepth = aft_brollc_deepth;
	}

	/** 
	 * 修磨后软点
	 */ 
	@Column
	private Double aft_soft_point;
	public Double getAft_soft_point() {
		return this.aft_soft_point;
	}
	public void setAft_soft_point(Double aft_soft_point) {
		this.aft_soft_point = aft_soft_point;
	}

	/** 
	 * 修磨后裂点
	 */ 
	@Column
	private Double aft_crack;
	public Double getAft_crack() {
		return this.aft_crack;
	}
	public void setAft_crack(Double aft_crack) {
		this.aft_crack = aft_crack;
	}

	/** 
	 * 鉴定结果（1：合格、0：不合格）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 鉴定人
	 */ 
	@Column
	private String check_opr;
	public String getCheck_opr() {
		return this.check_opr;
	}
	public void setCheck_opr(String check_opr) {
		this.check_opr = check_opr;
	}

	/** 
	 * 处置结果（0：可用、1：重修、9：报废）
	 */ 
	@Column
	private String disposal_result;
	public String getDisposal_result() {
		return this.disposal_result;
	}
	public void setDisposal_result(String disposal_result) {
		this.disposal_result = disposal_result;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
